@extends('template.master')

@push('styles')
    <!-- Select2 -->
    {{-- <link rel="stylesheet" href="{{ asset('plugins/select2/css/select2.min.css') }}">
    <link rel="stylesheet" href="{{ asset('plugins/select2-bootstrap4-theme/select2-bootstrap4.min.css') }}">
    <link rel="stylesheet" href="{{ asset('dist/css/adminlte.min.css')}}"> --}}
    <style>
        .img_pre {
            width: 200px;
            height: 200px;
            padding: 10px;
        }
        .note-editable{
            min-height: 300px !important;
        }
    </style>
@endpush


@section('content')
    <div class=" mt-4">
        <div class="row justify-content-center">
            <div class="col-md-12">
                <div class="card card-secondary">
                    <div class="card-header" style="background: #000000;color: #f0ac63 !important;">
                        <h4 class="card-title" style="color: #f0ac63 !important;"><strong>Add/Edit Company</strong></h4>
                        <a href="{{ route('company.list') }}" class="btn float-right"
                            style="background: #f0ac63;color: #000000 !important;">Back</a>
                    </div>
                    <div class="card-body">
                        <form class="form" id="taxo-form" action="{{ route('company.add') }}" method="POST"
                            enctype="multipart/form-data">
                            @csrf
                            <input type="hidden" class="form-control" id="company_id" name="company_id" value="{{ @$company->company_id }}">
                            <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="exampleInputName1" class="mt-2">Company Name </label>
                                        <input type="text" class="form-control" id="company_name" name="company_name"
                                            placeholder="Company Name" required maxlength="255" value="{{ @$company->company_name }}">
                                    </div>
                                </div>
                            </div>
                           
                            {{-- <div class="row">
                                <div class="col-md-12">
                                    <div class="form-group">
                                        <label for="exampleInputName1" class="mt-2">Short Description</label>
                                        <textarea class="form-control" id="" name="artical_short_desc" rows="3"
                                            placeholder="Short Description" name="artical_short_desc" required></textarea>
                                    </div>
                                </div>
                            </div> --}}
                            <div class="row">
                                <div class="col-sm-6">
                               
                                <div class="form-group clearfix">
                                    <div class="icheck-success d-inline">
                                    <input type="radio" name="company_status" value="1" id="radioSuccess1" {{ (isset($company->company_status)) && @$company->company_status==1? "checked" : "" }}>
                                    <label for="radioSuccess1">
                                        Active
                                    </label>
                                    </div>
                                    <div class="icheck-danger d-inline">
                                    <input type="radio" name="company_status" value="0" id="radioDanger2" {{ (isset($company->company_status)) && @$company->company_status==0? "checked" : "" }}>
                                    <label for="radioDanger2">
                                       Deactive
                                    </label>
                                    </div>
                                    
                                    </div>
                                </div>
                                
                            </div>
                            
                            {{-- <div class="row">
                                
                            </div> --}}
                            <button type="submit" class="btn mr-2 mt-5" id="submitTaxo"
                                style="background: #000000;color: #f0ac63 !important;">Submit</button>
                            <button class="btn btn-light mt-5">Cancel</button>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    {{-- <div class="col-12 grid-margin stretch-card">
        @if (session('status'))
            <div class="alert alert-success" role="alert">
                {{ session('status') }}
            </div>
        @endif

    </div> --}}
@endsection
@push('child-scripts')
    {{-- <script src="{{ asset('plugins/select2/js/select2.full.min.js') }}"></script> --}}
    {{-- <script src="{{ asset('plugins/bs-stepper/js/bs-stepper.min.js') }}"></script> --}}

    <script>
        // JavaScript code
        document.getElementById('image').addEventListener('change', function(event) {
            var previewContainer = document.getElementById('preview-container');
            previewContainer.innerHTML = ''; // Clear any existing previews

            var files = event.target.files;
            for (var i = 0; i < files.length; i++) {
                var file = files[i];
                var reader = new FileReader();

                reader.onload = function(e) {
                    var imageElement = document.createElement('img');
                    imageElement.src = e.target.result;
                    imageElement.classList.add('preview-image');
                    imageElement.classList.add('img_pre');
                    previewContainer.appendChild(imageElement);
                }

                reader.readAsDataURL(file);
            }
        });
    </script>
    <script>
        $(document).ready(function() {
            //$('#publish_date').val(new Date);
            // alert('hello');
            $('.select2').select2();
            //Initialize Select2 Elements
            $('.select2bs4').select2({
                theme: 'bootstrap4',
            })


            $('.level6_com').hide();
            $('.level6_indu').hide();
            $('#cat_level').hide();
            $('.cat_level2').hide();


            $('.media_resource').hide();
            $('.media_youtube').hide();
            $('.media_audio').hide();

            var Media_select = jQuery('#media');
            var select = this.value;

            Media_select.change(function() {
                if ($(this).val() == 'Resource') {
                    $('.media_resource').show();
                    $('.media_youtube').hide();
                    $('.media_audio').hide();
                    $('#media_youtube').val(null);
                    $('#media_audio').val(null);
                } else if ($(this).val() == 'Audio') {
                    $('.media_audio').show();
                    $('.media_resource').hide();
                    $('.media_youtube').hide();
                    $('#media_youtube').val(null);
                    $('#media_resource').val(null);
                } else if ($(this).val() == 'Video') {
                    $('.media_youtube').show();
                    $('.media_resource').hide();
                    $('.media_audio').hide();
                    $('#media_resource').val(null);
                    $('#media_audio').val(null);
                }

            });

            $('#sub_level').change(function() {
                var selectedValues = []; // Initialize an empty array to store the values

                $('#sub_level option:selected').each(function() {
                    selectedValues.push($(this).val());
                });
                //alert(selectedValues);
                if ($.inArray('6', selectedValues) !== -1) {
                    $('.level6_com').show();
                    $('.level6_indu').show();
                } else {
                    $('.level6_com').hide();
                    $('#level6_com').val("").trigger('change');
                    $('#level6_indu').val("").trigger('change');

                    $('.level6_indu').hide();
                }
                if ($.inArray('2', selectedValues) !== -1) {
                    $('.cat_level2').show();
                } else {
                    $('.cat_level2').hide();
                    $('#cat_level2').val("").trigger('change');

                }
                //$('#selectedValues').text(selectedValues.join(', '));
            });
        });
    </script>

    <script>
        $(function() {
            // Summernote
            $('#summernote').summernote()

            // CodeMirror
            CodeMirror.fromTextArea(document.getElementById("codeMirrorDemo"), {
                mode: "htmlmixed",
                theme: "monokai"
            });
        })
        // $(function() {
        //     //Initialize Select2 Elements
        //     $('.select2').select2()

        //     //Initialize Select2 Elements
        //     $('.select2bs4').select2({
        //         theme: 'bootstrap4'
        //     })

        //     //Datemask dd/mm/yyyy
        //     // $('#datemask').inputmask('dd/mm/yyyy', {
        //     //     'placeholder': 'dd/mm/yyyy'
        //     // })
        //     // //Datemask2 mm/dd/yyyy
        //     // $('#datemask2').inputmask('mm/dd/yyyy', {
        //     //     'placeholder': 'mm/dd/yyyy'
        //     // })
        //     // //Money Euro
        //     // $('[data-mask]').inputmask()

        //     // //Date picker
        //     // $('#reservationdate').datetimepicker({
        //     //     format: 'L'
        //     // });

        //     //Date and time picker
        //     // $('#reservationdatetime').datetimepicker({
        //     //     icons: {
        //     //         time: 'far fa-clock'
        //     //     }
        //     // });

        //     // //Date range picker
        //     // $('#reservation').daterangepicker()
        //     // //Date range picker with time picker
        //     // $('#reservationtime').daterangepicker({
        //     //     timePicker: true,
        //     //     timePickerIncrement: 30,
        //     //     locale: {
        //     //         format: 'MM/DD/YYYY hh:mm A'
        //     //     }
        //     // })
        //     //Date range as a button
        //     // $('#daterange-btn').daterangepicker({
        //     //         ranges: {
        //     //             'Today': [moment(), moment()],
        //     //             'Yesterday': [moment().subtract(1, 'days'), moment().subtract(1, 'days')],
        //     //             'Last 7 Days': [moment().subtract(6, 'days'), moment()],
        //     //             'Last 30 Days': [moment().subtract(29, 'days'), moment()],
        //     //             'This Month': [moment().startOf('month'), moment().endOf('month')],
        //     //             'Last Month': [moment().subtract(1, 'month').startOf('month'), moment().subtract(1,
        //     //                 'month').endOf('month')]
        //     //         },
        //     //         startDate: moment().subtract(29, 'days'),
        //     //         endDate: moment()
        //     //     },
        //     //     function(start, end) {
        //     //         $('#reportrange span').html(start.format('MMMM D, YYYY') + ' - ' + end.format(
        //     //             'MMMM D, YYYY'))
        //     //     }
        //     // )

        //     //Timepicker
        //     // $('#timepicker').datetimepicker({
        //     //     format: 'LT'
        //     // })

        //     // //Bootstrap Duallistbox
        //     // $('.duallistbox').bootstrapDualListbox()

        //     // //Colorpicker
        //     // $('.my-colorpicker1').colorpicker()
        //     // //color picker with addon
        //     // $('.my-colorpicker2').colorpicker()

        //     // $('.my-colorpicker2').on('colorpickerChange', function(event) {
        //     //     $('.my-colorpicker2 .fa-square').css('color', event.color.toString());
        //     // })

        //     // $("input[data-bootstrap-switch]").each(function() {
        //     //     $(this).bootstrapSwitch('state', $(this).prop('checked'));
        //     // })

        // });
        // BS-Stepper Init
        // document.addEventListener('DOMContentLoaded', function() {
        //     window.stepper = new Stepper(document.querySelector('.bs-stepper'))
        // })

        // // DropzoneJS Demo Code Start
        // Dropzone.autoDiscover = false

        // Get the template HTML and remove it from the doumenthe template HTML and remove it from the doument
        // var previewNode = document.querySelector("#template")
        // previewNode.id = ""
        // var previewTemplate = previewNode.parentNode.innerHTML
        // previewNode.parentNode.removeChild(previewNode)

        // var myDropzone = new Dropzone(document.body, { // Make the whole body a dropzone
        //     url: "/target-url", // Set the url
        //     thumbnailWidth: 80,
        //     thumbnailHeight: 80,
        //     parallelUploads: 20,
        //     previewTemplate: previewTemplate,
        //     autoQueue: false, // Make sure the files aren't queued until manually added
        //     previewsContainer: "#previews", // Define the container to display the previews
        //     clickable: ".fileinput-button" // Define the element that should be used as click trigger to select files.
        // })

        // myDropzone.on("addedfile", function(file) {
        //     // Hookup the start button
        //     file.previewElement.querySelector(".start").onclick = function() {
        //         myDropzone.enqueueFile(file)
        //     }
        // })

        // // Update the total progress bar
        // myDropzone.on("totaluploadprogress", function(progress) {
        //     document.querySelector("#total-progress .progress-bar").style.width = progress + "%"
        // })

        // myDropzone.on("sending", function(file) {
        //     // Show the total progress bar when upload starts
        //     document.querySelector("#total-progress").style.opacity = "1"
        //     // And disable the start button
        //     file.previewElement.querySelector(".start").setAttribute("disabled", "disabled")
        // })

        // // Hide the total progress bar when nothing's uploading anymore
        // myDropzone.on("queuecomplete", function(progress) {
        //     document.querySelector("#total-progress").style.opacity = "0"
        // })

        // // Setup the buttons for all transfers
        // // The "add files" button doesn't need to be setup because the config
        // // `clickable` has already been specified.
        // document.querySelector("#actions .start").onclick = function() {
        //     myDropzone.enqueueFiles(myDropzone.getFilesWithStatus(Dropzone.ADDED))
        // }
        // document.querySelector("#actions .cancel").onclick = function() {
        //     myDropzone.removeAllFiles(true)
        // }
        // DropzoneJS Demo Code End
    </script>
@endpush
